<h1 class="title">Nouveau Poste</h1>

<form [formGroup]="creationForm">
    <mat-form-field>
        <input matInput placeholder="Titre" formControlName="title"/>
    </mat-form-field>
    <div>
      <editor
      style="width: 100%;"
      apiKey="qxoy7jymrjlivuno6zw8gmxb5aivctmj6570yh43v362sg71"
      [initialValue]=""
      formControlName="content"
      [init]="{
          height: 500,
          menubar: false,
          plugins: [
          'advlist autolink lists link image charmap print',
          'preview anchor searchreplace visualblocks code',
          'fullscreen insertdatetime media table paste',
          'help wordcount'
          ],
          toolbar:
          'undo redo | formatselect | bold italic | \
          alignleft aligncenter alignright alignjustify | \
          bullist numlist outdent indent | help'
      }"
      >
      </editor>
    </div>
    <mat-form-field>
        <input matInput placeholder="Lien git" formControlName="git_link"/>
    </mat-form-field>
   
    <div class="button-display">
        <button class="cancel-button" (click)="onCancel()" mat-button>Annuler</button>
        <button [disabled]="!creationForm.valid" class="validate-button" (click)="onSubmit()" mat-button>Créer</button>
    </div>

</form>